package cc.redberry.pipe;

/**
 * Output port that do not have ability to throw {@link InterruptedException} on {@link #put(Object)} invocation if
 * executing thread was interrupted.
 *
 * @param <T> type of consumed objects
 * @author Bolotin Dmitriy (bolotin.dmitriy@gmail.com)
 */
public interface InputPortUninterruptible<T> extends InputPort<T> {
    @Override
    void put(T object);
}
