package cc.redberry.pipe;

/**
 * Output port that do not have ability to throw {@link InterruptedException} on {@link #take()} invocation if executing
 * thread was interrupted.
 *
 * @param <T> type of produced objects
 * @author Bolotin Dmitriy (bolotin.dmitriy@gmail.com)
 */
public interface OutputPortUninterruptible<T> extends OutputPort<T> {
    @Override
    T take();
}
